import javax.xml.parsers.DocumentBuilderFactory;
import javax.xml.parsers.DocumentBuilder;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;
import org.w3c.dom.Node;
import org.w3c.dom.Element;
import org.xml.sax.InputSource;
import java.io.StringReader;

public class Example {
	static public void main(String[] args) {
		mnb.MNBArfolyamServiceSoapImpl impl = new mnb.MNBArfolyamServiceSoapImpl ();
		mnb.MNBArfolyamServiceSoap service = impl.getCustomBindingMNBArfolyamServiceSoap();
		try {
			// USD,EUR rfolyam 2015-01-01 s 2015-01-10 kztti lekrdezse
			String resp = service.getExchangeRates("2015-01-01","2015-01-10","USD,EUR");
			
			// a kapott vlasz
			// System.out.println(resp);

			// Kapott XML feldolgozsa
			DocumentBuilderFactory dbFactory = DocumentBuilderFactory.newInstance();
			DocumentBuilder dBuilder = dbFactory.newDocumentBuilder();
			InputSource is = new InputSource(new StringReader(resp));
			Document doc = dBuilder.parse(is);

			doc.getDocumentElement().normalize();

			// "Day" nevu elemek kiszedse
			NodeList nList = doc.getElementsByTagName("Day");

			// iterls a "Day" elemeken
			for (int temp = 0; temp < nList.getLength(); temp++) {
				Node nNode = nList.item(temp);
				if (nNode.getNodeType() == Node.ELEMENT_NODE) {

					Element eElement = (Element) nNode;
					// "date" nevu attribtum rtknek kinyerse
					System.out.println("Date : " + eElement.getAttribute("date"));

					// az elem alatt lvo "Rate" elemek kinyerse
					NodeList rateList = eElement.getElementsByTagName("Rate");
					for (int temp1 = 0; temp1 < rateList.getLength(); temp1++) {
						Node nNode1 = rateList.item(temp1);
						if (nNode.getNodeType() == Node.ELEMENT_NODE) {
							Element eElement1 = (Element) nNode1;
							
							// "curr" nevu attribtum rtknek kinyerse // a deviza neve //
							System.out.println("Currency : " + eElement1.getAttribute("curr"));
							
							// "unit" nevu attribtum rtknek kinyerse // a deviza egysge //
							System.out.println("Unit : " + eElement1.getAttribute("unit"));				

							// az xml tag rtke // jelen esetben a deviza rfolyama //
							System.out.println("Value : " + eElement1.getTextContent());

						}
					}
					System.out.println("");
				}
			}


		} catch (Exception e) {
			System.err.print(e);
		}
	}
}