<?php

$client = new SoapClient("http://www.mnb.hu/arfolyamok.asmx?wsdl");
// ***************************************************************
// Az összes elérhető fv lekrérdezése.
var_dump($client->__getFunctions());
// Az összes típus lekérdezése
var_dump($client->__getTypes());

// **************************************************************
// Pénznemek lekérdezése
print $client->GetCurrencies()->GetCurrenciesResult . "\n";
// ***************************************************************
// Aktuális árfolyamok lekérdezése.
print $client->GetCurrentExchangeRates()->GetCurrentExchangeRatesResult . "\n";

// ***************************************************************
// USD,EUR árfolyam 2015-01-01 és 2015-01-10 közötti lekérdezése
// lekérdezés paramétere, a korábban meghívott "__getTypes" függvény válaszból láthatjuk, hogy milyen paramétereket vár
$params = array(
    "startDate" => "2015-01-01",
    "endDate" => "2015-01-10",  
    "currencyNames" => "USD,EUR" // a pénznemeket "," karakterrel kell elválasztani
);
print $client->GetExchangeRates($params)->GetExchangeRatesResult . "\n";


?>
